# setup.py
# Copyright 2012 Roger Marsh
# Licence: See LICENCE (BSD licence)

from setuptools import setup

if __name__ == '__main__':

    long_description = open('README').read()

    setup(
        name='chesscalc',
        version='1.0.1',
        description='Calculate player performances in chess games',
        author='Roger Marsh',
        author_email='roger.marsh@solentware.co.uk',
        url='http://www.solentware.co.uk',
        package_dir={'chesscalc':''},
        packages=[
            'chesscalc',
            'chesscalc.core', 'chesscalc.gui', 'chesscalc.help',
            'chesscalc.about',
            ],
        package_data={
            'chesscalc.about': ['LICENCE', 'CONTACT'],
            'chesscalc.help': ['*.txt'],
            },
        long_description=long_description,
        license='BSD',
        classifiers=[
            'License :: OSI Approved :: BSD License',
            'Programming Language :: Python :: 3.3',
            'Programming Language :: Python :: 3.4',
            'Programming Language :: Python :: 3.5',
            'Programming Language :: Python :: 3.6',
            'Operating System :: OS Independent',
            'Topic :: Games/Entertainment :: Board Games',
            'Intended Audience :: End Users/Desktop',
            'Intended Audience :: Developers',
            'Development Status :: 3 - Alpha',
            ],
        install_requires=['rmappsup==1.0'],
        dependency_links=[
            'http://solentware.co.uk/files/rmappsup-1.0.tar.gz',
            ],
        )
